﻿@model IEnumerable<DomainClass.Book>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_UserLayout.cshtml";
}

<h4>تالیف و ترجمه کتاب و مقاله</h4>

<p>
    @Html.ActionLink("ورود اطلاعات جدید", "Create", "Book", new { @class = "btn btn-primary" })
</p>
<table class="table">
    <tr>
        @*<th>شماره ملی
            @Html.DisplayNameFor(model => model.User.Lname)
        </th>*@
        <th>
            @Html.DisplayNameFor(model => model.Onvan_Book)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.NoAsar)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Nasher)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.SaleNashr)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        @*<td>
            @Html.DisplayFor(modelItem => item.User.UserName)
        </td>*@
        <td>
            @Html.DisplayFor(modelItem => item.Onvan_Book)
        </td>
        <td>
@*            @Html.DisplayFor(modelItem => item.NoAsar)*@
            @Html.EnumDisplay(item.NoAsar)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Nasher)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.SaleNashr)
        </td>
        <td>
            @Html.ActionLink("ویرایش", "Edit", new { id = item.ID }, new { @class = "btn btn-primary btn-xs" }) |
            @Html.ActionLink("جزئیات", "Details", new { id = item.ID }, new { @class = "btn btn-success btn-xs" }) |
            @Html.ActionLink("حذف", "Delete", new { id = item.ID }, new { @class = "btn btn-danger btn-xs" })
        </td>
    </tr>
}

</table>
